extern crate reqwest;
extern crate select;
extern crate serde_json;

pub mod searchers;

use std::any::Any;

pub trait Link: Any {
    fn label (&self) -> &str;
    fn url (&self) -> &str;
    fn as_any(&self) -> &Any;
}

impl Link for Box<Link + 'static> {
    fn label (&self) -> &str {
        (**self).label()
    }

    fn url (&self) -> &str {
        (**self).url()
    }

    fn as_any (&self) -> &Any {
        self
    }
}
